; ---purpose---
; Append one list to the copy of another.

; ---args---
; A - list
; B - list to be appended

; ---keywords---
; APPEND function, lists, appending

; ---see-also---
; REVERSE, LENGTH, MAP, REDUCE

; ---example---
; (APPEND '(FIRTH SECOND) '(THIRD FOURTH))

:C LIB/REVERSE.L

; ---model---
; (DEFUN APPEND (A B)
; 	(COND ((NULL A) B)
; 		(T (CONS (CAR A) (APPEND (CDR A) B)))))

; ---code---
(DEFUN APPEND (A B)
	(LABEL ((APP (LAMBDA (A B)
			(COND ((NULL A) B)
				(T (APP (CDR A) (CONS (CAR A) B)))))))
		(APP (REVERSE A) B)))
