; ---purpose---
; Check if two decimal integer numbers are not in ascending
; order. Return *T*, if A>=B (A not less than B) and otherwise *F*.
; Numbers are represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; INLESSP function, not less than, greater than or equal to,
; ordering, relation, comparison, predicate, integer

; ---see-also---
; DIGITS, NLESSP, INGREATERP, EQUAL

; ---example---
; (INLESSP '#7 '#5)

:C LIB/ILESSP.L

; ---code---
(DEFUN INLESSP (A B) (COND ((ILESSP A B) *F*) (T T)))
