; ---purpose---
; Divide two decimal integer numbers, returning their
; quotient. Numbers are represented by lists of digits.

; ---args---
; A - list of digits (dividend)
; B - list of digits (divisor)

; ---keywords---
; IQUOTIENT function, quotient, divide, division, arithmetics
; integer

; ---see-also---
; DIGITS, QUOTIENT, IDIVIDE, IREMAINDER, IPLUS, IDIFFERENCE
; ITIMES, MINUS

; ---example---
; (IQUOTIENT '#123 '#-23)

(DEFINE IQUOTIENT T)

:C LIB/IDIVIDE.L

; ---code---
(DEFUN IQUOTIENT (A B) (CAR (IDIVIDE A B)))
