; ---purpose---
; Logical negative product (NAND).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNAND function, NAND, logical negative AND
; logical negative product

; ---see-also---
; LOGAND, LOGEQV, LOGNEQV, LOGNOR, LOGNOT, LOGOR

; ---example---
; (LOGNAND *F* T)

; ---code---
(DEFUN LOGNAND (A B) (COND ((EQ A *F*) T) (B *F*) (T T)))
