; ---purpose---
; Compare two lists (S-expressions, in fact) with negative result.

; ---args---
; A - expression
; B - expression

; ---keywords---
; NEQUAL function, negative equivalence, relation, comparison, predicate

; ---see-also---
; MEMBER, SUBST, NEQ, EQUAL

; ---example---
; (NEQUAL '(A B (C D (E)) F) '(X B (C D (E)) F))

:C LIB/EQUAL.L

; ---code---
(DEFUN NEQUAL (A B) (COND ((EQUAL A B) *F*) (T T)))
