; ---purpose---
; Sort a list. A predicate is used to define the
; desired order of members. It should return *T*
; for each two members in the desired order.
; SORT is merely an alias for QUICKSORT.

; ---args---
; A - list to sort
; P - predicate

; ---keywords---
; QUICKSORT function, sorting, ordering, quicksort

; ---see-also---
; ISORT, QUICKSORT, ORDEREDP

; ---example---
; :L LIB/LESSP.L
; (SORT '(#5 #9 #1 #7 #3 #0 #2 #4 #8 #6) LESSP)

:C LIB/QUICKSORT.L

; ---code---
(DEFINE SORT QUICKSORT)
