; ---purpose---
; Compute the absolute value of an integer
; or natural number.

; ---args---
; X - list of digits

; ---keywords---
; ABS function, absolute value, arithmetics, integer, natural

; ---see-also---
; DIGITS, MINUS, MINUSP

; ---example---
; (ABS '#-125)

:C LIB/DIGITS.L

; ---code---
(DEFUN ABS (X)
	(COND ((EQ (CAR X) '-) (CONS '+ (CDR X)))
		(T X)))

