; ---purpose---
; Compute X!. X is a decimal (natural or integer)
; number represented by a list of digits.

; ---args---
; X - list

; ---keywords---
; FAC function, factorial

; ---see-also---
; DIGITS, EXPT, GCD, PRODUCT, SUM

; ---example---
; (FAC '#5)

(DEFINE FAC T)

:C LIB/DIGITS.L
:C LIB/ZEROP.L
:C LIB/PRODUCT.L

; ---code---
(DEFUN FAC (X) 
	(COND ((ZEROP X) '#1)
		(T (PRODUCT '#1 X))))
