; ---purpose---
; Check if two natural decimal numbers are in descending
; order. Return *T*, if A>B and otherwise *F*. Numbers
; are represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; GREATERP function, greater than, ordering
; relation, comparison, predicate, natural

; ---see-also---
; DIGITS, IGREATERP, LESSP, EQUAL

; ---example---
; (GREATERP '#5 '#7)

:C LIB/LESSP.L

; ---code---
(DEFUN GREATERP (A B) (LESSP B A))
