; ---purpose---
; Compute the remainder of the division
; of two decimal integer numbers. Numbers
; are represented by lists of digits.

; ---args---
; A - list of digits (dividend)
; B - list of digits (divisor)

; ---keywords---
; IREMAINDER function, division, remainder, division remainder
; modulus, arithmetics, integer

; ---see-also---
; DIGITS, REMAINDER, IDIVIDE, IQUOTIENT, IPLUS, IDIFFERENCE
; ITIMES

; ---example---
; (IREMAINDER '#123 '#-23)

(DEFINE IREMAINDER T)

:C LIB/IDIVIDE.L
:C LIB/CAAR.L
;C LIB/CADR.L

; ---code---
(DEFUN IREMAINDER (A B) (CADR (IDIVIDE A B)))
