; ---purpose---
; Logical negative equivalence (XOR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNEQV function, logical negative equivalence
; logical difference

; ---see-also---
; LOGAND, LOGEQV, LOGNAND, LOGNOR, LOGNOT, LOGOR

; ---example---
; (LOGNEQV T *F*)

; ---code---
(DEFUN LOGNEQV (A B) (COND ((EQ A B) *F*) (T T)))
