; ---purpose---
; Logical negative sum (NOR).

; ---args---
; A - truth value
; B - truth value

; ---keywords---
; LOGNOR function, NOR, logical negative OR
; logical negative sum

; ---see-also---
; LOGAND, LOGEQV, LOGNAND, LOGNEQV, LOGNOT, LOGOR

; ---example---
; (LOGNOR *F* *F*)

; ---code---
(DEFUN LOGNOR (A B) (COND (A *F*) (B *F*) (T T)))
