; ---purpose---
; Load natural math functions.

; ---keywords---
; Mathematics, arithmetics, natural numbers, computations

; ---see-also---
; IMATH
; DIGITS, ABS, DIFFERENCE, DIVIDE, EXPT, FAC, GCD, GREATERP, INTEGER
; LESSP, MAX, MIN, NATURAL, NATURALP, NORMALIZE, NUMBERP, PLUS
; PRODUCT, QUOTIENT, REMAINDER, SUM, TIMES, ZEROP

(DEFINE MATH *T*)

; ---code---
:C LIB/DIGITS.L
:C LIB/ABS.L
:C LIB/DIFFERENCE.L
:C LIB/DIVIDE.L
:C LIB/EXPT.L
:C LIB/FAC.L
:C LIB/GCD.L
:C LIB/GREATERP.L
:C LIB/INTEGER.L
:C LIB/IOTA.L
:C LIB/LESSP.L
:C LIB/MAX.L
:C LIB/MIN.L
:C LIB/NATURAL.L
:C LIB/NATURALP.L
:C LIB/NORMALIZE.L
:C LIB/NUMBERP.L
:C LIB/PLUS.L
:C LIB/PRODUCT.L
:C LIB/QUOTIENT.L
:C LIB/REMAINDER.L
:C LIB/SUM.L
:C LIB/TIMES.L
:C LIB/ZEROP.L
