; ---purpose---
; Check if two natural decimal numbers are not in ascending
; order. Return *T*, if A>=B (A not less than B) and otherwise *F*.
; Numbers are represented by lists of decimal digits.

; ---args---
; A - list of digits
; B - list of digits

; ---keywords---
; NLESSP function, not less than, greater than or equal to,
; ordering, relation, comparison, predicate, natural

; ---see-also---
; DIGITS, INLESSP, NGREATERP, EQUAL

; ---example---
; (NLESSP '#7 '#5)

:C LIB/LESSP.L

; ---code---
(DEFUN NLESSP (A B) (COND ((LESSP A B) *F*) (T T)))
