; ---purpose---
; Test an integer for being one.

; ---args---
; X - list of digits to test

; ---keywords---
; ONEP function, one , numbers, digits, equivalence
; identity, predicate

; ---see-also---
; DIGITS, ZEROP, NUMBERP, MINUSP

; ---example---
; (ONEP '#1)

:C LIB/DIGITS.L
:C LIB/EQUAL.L

; ---code---
(DEFUN ONEP (X)
	(COND ((EQ (CAR X) 1) (NULL (CDR X)))
		(T (EQUAL X '#+1))))
