; ---purpose---
; Find the predecessor of a decimal digit.
; -
; (PRED 0) => NIL.

; ---args---
; X - digit

; ---keywords---
; PRED function, predecessor, numbers, digits

; ---see-also---
; DIGITS, SUCC

; ---example---
; (PRED '5)

:C LIB/DIGITS.L

; ---code---
(DEFUN PRED (X)
	(COND ((EQ X 0) NIL)
		((EQ X 1) 0)
		((EQ X 2) 1)
		((EQ X 3) 2)
		((EQ X 4) 3)
		((EQ X 5) 4)
		((EQ X 6) 5)
		((EQ X 7) 6)
		((EQ X 8) 7)
		((EQ X 9) 8)
		(T (BOTTOM 'PRED:TYPE))))
