; ---purpose---
; Compute the remainder of the division
; of two natural numbers. Numbers are
; represented by lists of digits.

; ---args---
; A - list of digits (dividend)
; B - list of digits (divisor)

; ---keywords---
; REMAINDER function, division, remainder, division remainder
; modulus, arithmetics, natural

; ---see-also---
; DIGITS, IREMAINDER, DIVIDE, QUOTIENT, PLUS, DIFFERENCE
; TIMES

; ---example---
; (REMAINDER '#100 '#8)

(DEFINE REMAINDER T)

:C LIB/DIVIDE.L
:C LIB/CAAR.L
;C LIB/CADR.L

; ---code---
(DEFUN REMAINDER (A B) (CADR (DIVIDE A B)))
