; ---purpose---
; Test an integer for being zero.

; ---args---
; X - list of digits to test

; ---keywords---
; ZEROP function, zero, numbers, digits, equivalence
; identity, predicate

; ---see-also---
; DIGITS, ONEP, NUMBERP, MINUSP

; ---example---
; (ZEROP '#+0)

:C LIB/DIGITS.L
:C LIB/EQUAL.L

; ---code---
(DEFUN ZEROP (X)
	(COND ((EQ (CAR X) 0) (NULL (CDR X)))
		(T (EQUAL X '#+0))))
